package com.pixelized.desktop.lwa.ui.navigation.screen.destination

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.splash.SplashScreen

object SplashDestination {
    private const val ROUTE = "splash"

    fun baseRoute() = ROUTE
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableSplash() {
    composable(
        route = SplashDestination.baseRoute(),
    ) {
        SplashScreen()
    }
}


fun NavHostController.navigateToSplash() {
    val route = SplashDestination.navigationRoute()
    navigate(route = route)
}
